- name: Create temp directories
  file:
    state: directory
    path: "/tmp/{{ item['name'] }}"
  loop: "{{ folders }}"

- name: Include sensitive variables
  include_vars: api_keys.yml

- name: "Export dashboard from {{ 'Rabin' if direction=='dev2prod' else 'Golemio' }}"
  community.grafana.grafana_dashboard:
    grafana_url: "https://grafana{{ '.rabin' if direction=='dev2prod' else '' }}.golemio.cz"
    grafana_api_key: "{{ rabin_api if direction=='dev2prod' else golemio_api }}"
    org_id: 1
    state: export
    uid: "{{ item[1] }}"
    path: "/tmp/{{ item[0].name }}/{{ item[1] }}.json"
  with_subelements:
    - "{{ folders }}"
    - id

- name: Replace string subscription
  replace:
    path: "/tmp/{{ item[0].name }}/{{ item[1] }}.json"
    regexp: "{{ rabin_sub if direction=='dev2prod' else golemio_sub }}"
    replace: "{{ golemio_sub if direction=='dev2prod' else rabin_sub }}"
  with_subelements:
    - "{{ folders }}"
    - id
- name: Replace string resource group
  replace:
    path: "/tmp/{{ item[0].name }}/{{ item[1] }}.json"
    regexp: "{{'rg-psql-dp-rabin' if direction=='dev2prod' else 'rg-psql-vp2-golem'}}"
    replace: "{{'rg-psql-vp2-golem' if direction=='dev2prod' else 'rg-psql-dp-rabin'}}"
  with_subelements:
    - "{{ folders }}"
    - id
- name: Replace string resource name
  replace:
    path: "/tmp/{{ item[0].name }}/{{ item[1] }}.json"
    regexp: "{{'psql-dp-rabin' if direction=='dev2prod' else 'psql-vp2-golem'}}"
    replace: "{{'psql-vp2-golem' if direction=='dev2prod' else 'psql-dp-rabin'}}"
  with_subelements:
    - "{{ folders }}"
    - id

- name: "Import dashboard to {{ 'Golemio' if direction=='dev2prod' else 'Rabin' }}"
  community.grafana.grafana_dashboard:
    grafana_url: "https://grafana{{ '' if direction=='dev2prod' else '.rabin' }}.golemio.cz"
    grafana_api_key: "{{ golemio_api if direction=='dev2prod' else rabin_api }}"
    org_id: 1
    state: present
    folder: "{{ item[0].name }}"
    overwrite: yes
    path: "/tmp/{{ item[0].name }}/{{ item[1] }}.json"
  with_subelements:
    - "{{ folders }}"
    - id
  when: impexp

- name: Delete temp directories
  file:
    state: absent
    path: "/tmp/{{ item['name'] }}"
  loop: "{{ folders }}"
